Assignee: S. Wrede % Done: 100%
Category: Language Integration Estimated time: 0.00 hour
Target version: 0.4
Description

Associated revisions
Revision b39142a5 - 07/29/2011 10:29 PM - J. Moringen
Added client/server test for C++ in integrationtest/cpp
refs #444
    -  cpp/CMakeLists.txt: added files cpp/client.cpp, cpp/server.cpp
    -  cpp/client.cpp: new file; contains C++ client for client/server

  integration test
    -  cpp/server.cpp: similar

Revision e69cf6d9 - 07/29/2011 10:39 PM - J. Moringen
Added client/server test for Python in integrationtest/cpp
refs #444
    -  python/client.py: new file; contains Python client for client/server

  integration test
    -  python/server.py: similar

Revision 141fc7ab - 07/29/2011 10:55 PM - J. Moringen
Added client/server test methods in integrationtest/test/integrationtest.py
refs #444
    -  test/integrationtest.py: added method

  IntegrationTest.addClientServerPair which adds a test method for a
  client/server language pair

Revision 346479ad - 07/29/2011 11:16 PM - J. Moringen
Created stubs for Java client/server test in integrationtest/java
refs #444
    -  java/CMakeLists.txt: added files java/client.java,

  java/client.sh.in, java/server.java and java/server.sh.in
    -  java/client.java: new file; Java client for client/server

  integration test
    -  java/client.sh.in: new file; launcher script for client
    -  java/server.java: new file; Java server for client/server

  integration test
    -  java/server.sh.in: new file; launcher script for server

Revision 112a4d48 - 07/29/2011 11:26 PM - J. Moringen
Fixed errors in Java client/server programs in integrationtest/java
refs #444
    -  java/client.java: fixed scope; fixed exceptions
    -  java/server.java: fixed exceptions

Revision 475507ff - 07/29/2011 11:39 PM - J. Moringen
Created stubs for Lisp client/server test in integrationtest/lisp
refs #444
    -  lisp/client.lisp: new file; contains Lisp client for client/server

  integration test
    -  lisp/server.lisp: new file; contains Lisp server for client/server

  integration test

Revision 263aea08 - 07/30/2011 07:53 PM - J. Moringen
Tighter timeout for client/server in integrationtest/test/integrationtest.py
refs #444
    -  integrationtest/test/integrationtest.py: made process timeout

  configurable; wait 60 seconds for publish/subscribe tests and 5
  seconds for client/server tests

Revision 807e5978 - 07/30/2011 09:23 PM - J. Moringen
Improved Python server in integrationtest/python/server.py
refs #444
    -  integrationtest/python/server.py: added method registration and

  waiting

Revision 85e189bd - 07/31/2011 11:57 PM - J. Moringen
Fixed server methods in integrationtest/python/server.py
refs #444
    -  integrationtest/python/server.py: server methods did not accept

  arguments/return values

Revision 5db85f4c - 08/01/2011 11:36 PM - J. Moringen
Fixed termination in integrationtest/python/server.py
refs #444
    -  python/client.py: print is not a function yet, I think; be a bit

  more verbose
    -  python/server.py: similar; use global variable terminate correctly;

  before terminating, give the method call to terminate some time to
  complete

Revision f9533cb4 - 08/02/2011 12:59 AM - J. Moringen
Added actual test code in integrationtest/java/{client,server}.java
refs #444
    -  integrationtest/java/client.java: construct a RemoteServer object

  and almost call methods on it
    -  integrationtest/java/server.java: construct a LocalServer object and

  register the usual methods; added a Terminate class which implements
  DataCallback and takes are of terminating the server process when
  the terminate method is called

Revision a601169d - 08/02/2011 07:46 AM - J. Moringen
Enabled client/server code in Lisp programs in lisp/
refs #444
    -  lisp/client.lisp: enabled creation of local server and registration

  of methods
    -  lisp/server.lisp: enabled creation of remote server and method calls

Revision 5153ad07 - 08/03/2011 10:48 AM - J. Moringen
Fixed some issues in integrationtest/lisp/{client,server}.lisp
refs #444
    -  lisp/client.lisp: force configuration option refresh after image

  restart; call methods with correct number of arguments
    -  lisp/server.lisp: force configuration option refresh after image

  restart; ignore unused variables

Revision 2ac70639 - 08/04/2011 09:05 PM - J. Moringen
Fixed error method verification logic in integrationtest/lisp/client.lisp
refs #444
    -  lisp/client.lisp: fixed method verification logic in call to "error" 

  method; embarrassingly, the test was logically inverted; be more
  verbose

    -  lisp/server.lisp: fixed output

Revision 07f4e667 - 08/04/2011 09:15 PM - J. Moringen
Made C++ client more verbose in integrationtest/cpp/client.cpp
refs #444
    -  cpp/client.cpp: print something before calling methods
    -  cpp/server.cpp: cosmetic changes

Revision a8244477 - 08/05/2011 03:18 AM - J. Moringen
Return a value from terminate method in integrationtest/lisp/server.lisp
refs #444
    -  integrationtest/lisp/server.lisp: return a string value instead the

  potentially not convertible return value of `terminate-notify'

Revision 15868040 - 08/07/2011 02:09 AM - J. Moringen
Fixed some details in Java client in integrationtest/java/client.java
refs #444
    -  integrationtest/java/client.java: fixed Exception detection logic;

  changed argument of call to echo method

History
#1 - 07/29/2011 11:59 PM - J. Moringen
- Status changed from New to In Progress
- Assignee set to J. Moringen
- % Done changed from 0 to 50

#2 - 07/30/2011 11:46 PM - J. Moringen
- % Done changed from 50 to 80

#3 - 08/05/2011 03:40 AM - J. Moringen
- Assignee changed from J. Moringen to S. Wrede
- % Done changed from 80 to 90

#4 - 08/09/2011 03:19 AM - S. Wrede
- Status changed from In Progress to Resolved
- % Done changed from 90 to 100

Fixed by Jan / Sebastian productions.

04/18/2024 4/4


